Debian Bug report logs - #673140
cifs-utils: mount.cifs does not work

version graph

Package: cifs-utils; Maintainer for cifs-utils is Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>; Source for cifs-utils is src:cifs-utils.

Reported by: Stefan Pietsch <stefan.pietsch@lsexperts.de>

Date: Wed, 16 May 2012 12:48:46 UTC

Severity: grave

Merged with 673117

Found in version cifs-utils/2:5.4-1

Fixed in version cifs-utils/2:5.4-2

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#673140; Package cifs-utils. (Wed, 16 May 2012 12:48:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Pietsch <stefan.pietsch@lsexperts.de>:
New Bug report received and forwarded. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Wed, 16 May 2012 12:49:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Pietsch <stefan.pietsch@lsexperts.de>
To: submit@bugs.debian.org
Subject: cifs-utils: mount.cifs does not work
Date: Wed, 16 May 2012 14:25:23 +0200
Package: cifs-utils
Version: 2:5.4-1
Severity: important

Dear Maintainer,

mount.cifs in cifs-utils 5.4-1 does not prompt for a password.
I'm not able to mount a CIFS share.

cifs-utils 5.3-2 does not show this behaviour.


Regards,
Stefan



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (300, 'stable'), (1,
'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cifs-utils depends on:
ii  libc6         2.13-32
ii  libcap2       1:2.22-1.1
ii  libkeyutils1  1.5.5-2
ii  libkrb5-3     1.10.1+dfsg-1
ii  libtalloc2    2.0.7+git20120207-1
ii  libwbclient0  2:3.6.5-2
ii  samba-common  2:3.6.5-2

Versions of packages cifs-utils recommends:
pn  keyutils  1.5.5-2
pn  winbind   <none>

Versions of packages cifs-utils suggests:
ii  smbclient  2:3.6.5-2

-- no debconf information





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#673140; Package cifs-utils. (Thu, 17 May 2012 17:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zlatko Calusic <zlatko.calusic@iskon.hr>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Thu, 17 May 2012 17:54:06 GMT) Full text and rfc822 format available.

Message #10 received at 673140@bugs.debian.org (full text, mbox):

From: Zlatko Calusic <zlatko.calusic@iskon.hr>
To: Debian Bug Tracking System <673140@bugs.debian.org>
Subject: Re: cifs-utils: mount.cifs does not work
Date: Thu, 17 May 2012 19:43:04 +0200
Package: cifs-utils
Version: 2:5.4-1
Followup-For: Bug #673140

Same here. With 5.4 I can't mount anything, 5.3 was fine.

mount.cifs just returns without any error, $? = 2.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.4.0-rc7+ (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages cifs-utils depends on:
ii  libc6         2.13-32
ii  libcap2       1:2.22-1.1
ii  libkeyutils1  1.5.5-2
ii  libkrb5-3     1.10.1+dfsg-1
ii  libtalloc2    2.0.7+git20120207-1
ii  libwbclient0  2:3.6.5-3
ii  samba-common  2:3.6.5-3

Versions of packages cifs-utils recommends:
pn  keyutils  1.5.5-2
pn  winbind   <none>

Versions of packages cifs-utils suggests:
ii  smbclient  2:3.6.5-3

-- no debconf information




Severity set to 'grave' from 'important' Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Fri, 18 May 2012 11:21:46 GMT) Full text and rfc822 format available.

Merged 673117 673140 Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Fri, 18 May 2012 11:21:50 GMT) Full text and rfc822 format available.

Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. (Sat, 19 May 2012 09:07:28 GMT) Full text and rfc822 format available.

Notification sent to Stefan Pietsch <stefan.pietsch@lsexperts.de>:
Bug acknowledged by developer. (Sat, 19 May 2012 09:07:34 GMT) Full text and rfc822 format available.

Message #19 received at 673140-close@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 673140-close@bugs.debian.org
Subject: Bug#673140: fixed in cifs-utils 2:5.4-2
Date: Sat, 19 May 2012 09:04:01 +0000
Source: cifs-utils
Source-Version: 2:5.4-2

We believe that the bug you reported is fixed in the latest version of
cifs-utils, which is due to be installed in the Debian FTP archive:

cifs-utils_5.4-2.debian.tar.gz
  to main/c/cifs-utils/cifs-utils_5.4-2.debian.tar.gz
cifs-utils_5.4-2.dsc
  to main/c/cifs-utils/cifs-utils_5.4-2.dsc
cifs-utils_5.4-2_i386.deb
  to main/c/cifs-utils/cifs-utils_5.4-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673140@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luk Claes <luk@debian.org> (supplier of updated cifs-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 18 May 2012 17:12:38 +0200
Source: cifs-utils
Binary: cifs-utils
Architecture: source i386
Version: 2:5.4-2
Distribution: unstable
Urgency: high
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Changed-By: Luk Claes <luk@debian.org>
Description: 
 cifs-utils - Common Internet File System utilities
Closes: 572691 622802 668137 673140
Changes: 
 cifs-utils (2:5.4-2) unstable; urgency=high
 .
   * Set mount.cifs setuid again now that upstream took measures
     (Closes: #673140,#622802,#668137,#572691).
   * Add __attribute__((unused)) to stop gcc warnings -> errors.
Checksums-Sha1: 
 40ac3fd8e43026b8d0511e19d5b8344a2e0d698a 1536 cifs-utils_5.4-2.dsc
 83a369fde35e074a4259c0d8a3237a8c5e95beec 5863 cifs-utils_5.4-2.debian.tar.gz
 1c5e0896ef8b6e0afb16b541d3ae0c879fb551ce 72582 cifs-utils_5.4-2_i386.deb
Checksums-Sha256: 
 0f80ad380af1b2aa837ecf427da8f837181a27fc9467ea08f5472cb1c5898996 1536 cifs-utils_5.4-2.dsc
 ca262cdf5b96a1b9bf846bb987445c11d210c106827502016b9154704c41ce3e 5863 cifs-utils_5.4-2.debian.tar.gz
 da0ebde37cf355f8ba3abcac76c067fba2a832acca922eac9634d16136deca1d 72582 cifs-utils_5.4-2_i386.deb
Files: 
 bcfd58866f348a0530b6544f3dd67d66 1536 otherosfs optional cifs-utils_5.4-2.dsc
 7a8eaf451f8cc90ded7d5bbc29eefcf0 5863 otherosfs optional cifs-utils_5.4-2.debian.tar.gz
 51f53e44ef508529b34fc96ff333d4e3 72582 otherosfs optional cifs-utils_5.4-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+2bX0ACgkQ5UTeB5t8Mo1c0QCeJ80N/74Q2Wfn7Kr/FHMzDqzz
N5kAnA7OAaJCMXmqS/j7KtzQouSaPI2i
=vi66
-----END PGP SIGNATURE-----





Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. (Sat, 19 May 2012 09:07:39 GMT) Full text and rfc822 format available.

Notification sent to DenisR <denis.lists@gmail.com>:
Bug acknowledged by developer. (Sat, 19 May 2012 09:07:42 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2012 07:36:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:06:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.